Bug 238896 - [ml_IN] vowel is applied for Chillu consonant instead of consonant [Vowel assignment issue with pango]
[ml_IN] vowel is applied for Chillu consonant instead of consonant [Vowel ass...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
bzcl34nup
: i18n
: 206246 (view as bug list)
Depends On: 206246
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-03 14:24 EDT by A S Alam
Modified: 2013-07-02 20:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-01 03:53:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my patch (7.71 KB, patch)
2007-06-13 02:39 EDT, Liang Zhang
no flags Details | Diff
Screenshot of latest testing with combinations in gedit (104.14 KB, image/png)
2009-10-01 03:49 EDT, Ani Peter
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 469532 None None None Never

  None (edit)
Description A S Alam 2007-05-03 14:24:04 EDT
+++ This bug was initially created as a clone of Bug #206246 +++

IN GEDIT:

Description of problem:
In some words, where the letter (say A) from the combination - (U+0d38) + (0d4d)
+ (0d31) + (0d4d) + (0d31) is used
after the Chillu consonants*, when the vowel (U + 0d4b) is used along with, this
is applied for the chillu conjunct also. This is wrong as the vowel (U + 0d4b)
is to be only applied to A.

How reproducible:
Always

Steps to Reproduce:
(explaining with an example)
1.Open gedit
2.type any chillu consonant*, eg: (U+0d28) + (U+0d4d) + (U+200d)
3.type (U+0d38) + (0d4d) + (0d31) + (0d4d) + (0d31)
4.type any vowel (U+0d48),(U+0d4A),(U+0d4B) or (U+0d4C)
  
Actual results:
when step 4 is done, the vowel is applied for Chillu consonant* also.

Expected results:
When step 4 is done, it should be applied only for the letter ((U+0d38) + (0d4d)
+ (0d31) + (0d4d) + (0d31))


-- Additional comment from llch@redhat.com on 2006-09-13 23:14 EST --
Rahul is our Indic font maintainer for this cycle. Reassigning to him first.

-- Additional comment from llch@redhat.com on 2006-09-29 03:04 EST --
Look like this is a Qt problem. Reassigning to Qt.

-- Additional comment from tagoh@redhat.com on 2006-10-23 07:23 EST --
There are two problems here.

1. character at step 4 isn't conjunct properly
   in gedit, [step 4's char][step 2's char][step 3's char] though,
   in kedit, [step 2's char][step 4's char][step 3's char]

2. the character width is miscalculated internally
   actually the cursor position is at the end of line afterward. but the
character width is miscalculated or ignored one character's width perhaps, then
it just looks like that.

-- Additional comment from aalam@redhat.com on 2007-05-03 14:15 EST --
 as per comment by Sachin as following:
---------------
This is the bug which is filed against three different problems, which includes
cursor position, pango issue, and vowel issue. So I filed 3 different bugs and
submitted patch for two QT related bugs.
As per order
1. Cursor position issue with QT in ml_IN
2. Voewl assignment issue with QT in ml_IN
3. Vowel assignment issue with pango in ml_IN
---------------
filing bug later...
Comment 2 Liang Zhang 2007-06-13 02:39:11 EDT
Created attachment 156846 [details]
my patch

I wrote a patch for fixing bug238896, bug223169 and bug223170.
And I modified indic_shape_engine( ) in this patch, let it handle one by one
syllable, not handle all syllables together.
It can fix the three bugs only by this way.
Comment 3 A S Alam 2007-08-23 06:21:11 EDT
Upstreamed the Gnome Bug http://bugzilla.gnome.org/show_bug.cgi?id=469532
Comment 4 Bug Zapper 2008-04-03 20:28:28 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Ngo Than 2008-04-09 06:03:38 EDT
*** Bug 206246 has been marked as a duplicate of this bug. ***
Comment 6 Bug Zapper 2008-05-13 22:50:48 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Tony Fu 2008-09-09 23:11:55 EDT
requested by Jens Petersen (#27995)
Comment 8 Bug Zapper 2009-06-09 18:34:44 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 A S Alam 2009-06-11 03:04:42 EDT
Re-Opening to following in Fedora 11
Comment 10 A S Alam 2009-06-11 03:05:05 EDT
following in Fedora 11
Comment 11 Ani Peter 2009-10-01 03:49:52 EDT
Created attachment 363287 [details]
Screenshot of latest testing with combinations in gedit

I confirm   that   this  bug is fixed  and has been tested in the latest pango: 
pango-1.26.0-1.fc12.i686.

Its working perfect. Screenshot    for the combinations  with all chillu  tested in gedit is attached
Comment 12 Parag Nemade 2009-10-01 03:53:12 EDT
Thanks Ani for updating this bug. I will close this now.

Note You need to log in before you can comment on or make changes to this bug.